// Package mysql ...
//
// Description : mysql ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2022-05-16 11:23
package mysql

import (
	"fmt"
	"testing"
)

var (
	testDBClient *DBClient
)

// getClient 获取数据库连接
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 11:24 2022/5/16
func init() {
	cfg := &DBConfig{
		Host:              "localhost",
		Port:              3306,
		Database:          "gateway",
		Username:          "root",
		Password:          "zhangdeman",
		Charset:           "utf8mb4",
		MaxOpenConnection: 100,
		MaxIdleConnection: 100,
	}
	testDBClient, _ = NewDBClient(cfg, cfg, nil, nil, nil)
}

// TestGetCreateTableSQL 测试简表sql
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 11:24 2022/5/16
func TestGetCreateTableSQL(t *testing.T) {
	sys := &SystemDao{}
	fmt.Println(sys.GetCreateTableSQL(testDBClient.GetMaster(nil), "app"))
}
